
$(function () {
    console.log('callbacker jq on!')

    function TemplateRefresh() {
        ModalRefresh();
    }

    $(window).resize(function () {
        TemplateRefresh();
    });
    TemplateRefresh();

    /* -----------------------------------------------------------------------------------------
     * Modal Refresh
     */
    function ModalRefresh() {

        if ($('.modal-callbacker').is(':visible')) {
            var modalBlock = $('.modal-callbacker:visible .modal-callbacker-block'),
                width = parseInt(modalBlock.width()),
                height = parseInt(modalBlock.height());
            if ($(window).height() > height + 20) {
                modalBlock.addClass('modal-callbacker-top').removeClass('margin-t-b-callbacker').css('margin-top', -1 * (height / 2));
            } else {
                modalBlock.addClass('margin-t-b-callbacker').removeClass('modal-callbacker-top');
            }
            if ($(window).width() > width) {
                modalBlock.addClass('modal-callbacker-left').removeClass('margin-l-callbacker').css('margin-left', -1 * (width / 2));
            } else {
                modalBlock.addClass('margin-l-callbacker').removeClass('modal-callbacker-left');
            }
        }
    }


    /* -----------------------------------------------------------------------------------------
     * Modal Show
     */
    $(document).on('click', 'a[modal]', function () {
        var modalWindow = $('div#' + $(this).attr('modal'));
        if (modalWindow.length) {
            modalWindow.fadeIn('fast');
            $('body').addClass('modal-callbacker-show');
            ModalRefresh();
            return false;
        }
    });


    /* -----------------------------------------------------------------------------------------
     * Modal Hide
     */
    function ModalHide() {
        $('.modal-callbacker:visible').fadeOut('fast', function () {
            $('body').removeClass('modal-callbacker-show');
        });
    }

    function addCss(fileName) {

        var head = document.head;
        var link = document.createElement("link");

        link.type = "text/css";
        link.rel = "stylesheet";
        link.href = fileName;

        head.appendChild(link);
    }

    addCss('{my-url}');

    $(document)
        .on('click', '.icon-close-callbacker, .modal-callbacker', function (event) {
            if (event.target != this)
                return false;
            else
                ModalHide();
        })
        .on('keydown', function (key) {
            if (key.keyCode == 27)
                ModalHide();
        })
        .on('click', '.modal-callbacker > *', function (event) {
            event.stopPropagation();
            return true;
        });


    function findGetParameter(parameterName) {
        var result = null,
            tmp = [];
        location.search
            .substr(1)
            .split("&")
            .forEach(function (item) {
                tmp = item.split("=");
                if (tmp[0] === parameterName) result = decodeURIComponent(tmp[1]);
            });
        return result;
    }

    function addFields(inputName, getName, element) {

        console.log('form add input ' + getName + ' value = ' + findGetParameter(getName));

        var input = document.createElement("input");
        // input.type = "hidden";
        input.name = inputName;
        input.value = findGetParameter(getName) ?? 'не проставлен параметр ' + getName;
        element.appendChild(input);
        // element.appendChild(document.createElement("br"));

    }

    let _param_name_to_partner = window.param_name_to_partner_callbacker;  //параметр который надо передать в ПП
    let _param_name_get = window.param_name_get_callbacker; // имя параметра, который надо забрать и адресной строки

    let input_name = 'fio';
    let utm = false;

    if (typeof window.form_input_name_callbacker !== 'undefined') {
        input_name = window.form_input_name_callbacker;
    }
    if (typeof window.utm_mode_callbacker !== 'undefined') {
        utm = window.utm_mode_callbacker;
    }
    let utm_array =['utm_source', 'utm_source', 'utm_medium', 'utm_campaign'];



    try {
        setTimeout(
            function start_cb() {
                console.log('callback init');
                addCss('https://team24.space/landers/popup/callbacker/css/css.css');
                $('body').append('<div id="callbacker-design"><a href="#" modal="callbacker"><div class="callbacker-design-circle"></div><div class="callbacker-design-circle-fill"></div><div class="callbacker-design-img-circle"></div></a></div>');

                $('body').append('<div id="callbacker" class="modal-callbacker">\n' +
                    '    <div class="modal-callbacker-block">\n' +
                    '        <div class="icon-close-callbacker"></div>\n' +
                    '        <div class="title-callbacker">' + title_callbacker + '</div>\n' +
                    '        <div class="content-callbacker">\n' +
                    '            <div class="padding-callbacker">\n' +
                    '                <p>' + message_callbacker + '</p>\n' +
                    '                <div class="form-cb" style="text-align:center">\n' +
                    '                    <div>\n' +
                    '                        <form action="' + action_callbacker + '" class="callbacker-form" method="post">\n' +
                    '                            <input type="text" value="" placeholder="' + name_placeholder_callbacker + '" name="'+input_name+'" class="icon_1" required autocomplete="on" maxlength="40">\n' +
                    '                            <input type="tel" value="" placeholder="' + phone_placeholder_callbacker + '" name="phone" class="icon_2 input-tel" required autocomplete="on">\n' +
                    '                            <input type="submit" value="' + button_text_callbacker + '" name="order_button">\n' +
                    '\n' +
                    '                        </form>\n' +
                    '                    </div>\n' +
                    '                </div>\n' +
                    '            </div>\n' +
                    '        </div>\n' +
                    '    </div>\n' +
                    '</div>');

                let forms = document.querySelectorAll("form.callbacker-form");
                let amo_carm_forms = document.querySelectorAll(".amoforms-form");
                setInterval(() =>console.log(document.querySelectorAll(".amoforms-form").length), 500);
                console.log('forms', amo_carm_forms)
                Array.from(amo_carm_forms).forEach(function (amo_carm_form) {

                    for (i = 1; i < 6; i++) {

                            addFields(_param_name_to_partner + i, _param_name_get + i, amo_carm_form);
                        }



                });

                if(!utm){
                    console.log('callbacker NO UTM mode');
                    Array.from(forms).forEach(function (form) {

                        for (i = 1; i < 6; i++) {
                            console.log(_param_name_to_partner)
                            if(i == 4){
                                addFields(_param_name_to_partner + '4', 'callbacker', form);
                            }else{
                                addFields(_param_name_to_partner + i, _param_name_get + i, form);
                            }


                        }
                    });
                }else{
                    console.log('callbacker UTM mode');

                    Array.from(forms).forEach(function (form) {

                        for (i = 0; i < utm_array.length; i++) {
                            console.log(findGetParameter(utm_array[i]));
                            if(utm_array[i] == 'utm_medium'){
                                addFields(utm_array[i], 'callbacker', form);
                            }else{
                                addFields(utm_array[i], utm_array[i], form);
                            }

                        }
                    });
                }

            },
            3000 //Количество милисекунд до появления кнопки
        );
    } catch (e) {
    }
});
